package com.munjaon.client.cubrid.mapper;

import com.munjaon.client.model.MunjaonMsg;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface CubridMapper {
    String checkTime();
    int checkTableForMessage();
    int checkTableForLog();
    List<MunjaonMsg> selectToDeliver(String msgType);
    int updateToDeliver(String msgId);
    int updateDeliverForList(List<String> msgIdList);
    int updateToReport(MunjaonMsg params);
    List<MunjaonMsg> selectToMove();
    List<MunjaonMsg> selectToExpire(String expireTime);
    int insertToLog(String msgId);
    int deleteFromDeliver(String msgId);
}
